# Function getPokemonNameWithAffix

- getPokemonNameWithAffix(pokemon): string

- Retrieves the Pokemon's name, potentially with an affix indicating its role (wild or foe) in the current battle context, translated

  #### Parameters

  - pokemon: default

    `Pokemon` name and battle context will be retrieved from this instance

  #### Returns string

  ex: "Wild Gengar", "Ectoplasma sauvage"

  - Defined in src/messages.ts:21